
package de.ivu.elect.was.exchange.ergebnis;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.was.exchange.ergebnis.csv.AbstractNlWasOsvXxCsvNachGebietErgebniseingabestatusExportMapper;
import de.ivu.elect.was.exchange.ergebnis.csv.Osv56ErgebnisCsvExportMapper;

/**
 * @see NlWasModelP221MainDocumentExportMapper
 * @see NlWasModelP221Eml520ExportMapper
 * @see NlWasModelP221Osv43CsvExportMapper
 */
public class NlWasModelP221Osv56CsvExportMapper extends AbstractNlWasOsvXxCsvNachGebietErgebniseingabestatusExportMapper implements NlWasModelP221ExportMapper {

  @Inject
  private transient Osv56ErgebnisCsvExportMapper osv56ErgebnisCsvExportMapper;

  public NlWasModelP221Osv56CsvExportMapper() {
    super();
  }

  @Override
  protected boolean isAcceptWahlebene(Wahl wahl, Customer customer) {
    return NlWasModelP221ExportMapperHelper.isAcceptWahlebene(wahl, customer);
  }

  @Override
  protected Collection<NlWahlart> collectWahlartenAccepted() {
    return NlWasModelP221ExportMapperHelper.collectWahlartenAccepted();
  }

  @Override
  protected Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelP221ExportMapperHelper.collectErgebniseingabestatusAccepted();
  }

  @Override
  protected Osv56ErgebnisCsvExportMapper getCsvExportMapper() {
    return osv56ErgebnisCsvExportMapper;
  }
}
